Name:           tetex-unicode
Version:        0
Release:        7.20041017%{?dist}

Summary:        Unicode support for LaTeX

Group:          Applications/Publishing
License:        LaTeX Project Public License
URL:            http://www.unruh.de/DniQ/latex/unicode
Source0:        http://www.unruh.de/DniQ/latex/unicode/unicode.tgz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:      noarch

Requires:       tetex-latex
Requires(post): tetex
Requires(postun):  tetex

Provides:       tetex-ucs = %{version}-%{release}

%define unicodepath %{_datadir}/texmf/tex/latex/unicode

%description
This package contains support for using UTF-8 as input encoding in
LaTeX documents.
The simplest use of this package is to add
    \usepackage{ucs}
    \usepackage[utf8]{inputenc}
to your header. You may even omit the first line in many cases.


%prep
%setup -q -n ucs


%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT%unicodepath
for file in ucs.sty utf8x.def ucsencs.def data ucshyper.sty ucsutils.sty contrib ; do
  cp -pr $file $RPM_BUILD_ROOT%unicodepath
done


%clean
rm -rf $RPM_BUILD_ROOT


%post
[ -x %{_bindir}/texhash ] && %{_bindir}/env - %{_bindir}/texhash >/dev/null 2>&1 || :

%postun
[ -x %{_bindir}/texhash ] && %{_bindir}/env - %{_bindir}/texhash >/dev/null 2>&1 || :


%files
%defattr(644,root,root,755)
%doc LICENSE VERSION README FAQ ucs.ps.gz languages.ps.gz
%unicodepath


%changelog
* Tue Oct 17 2006 Aurelien Bompard <abompard@fedoraproject.org> 0-7.20041017
- use the same scriptlets as the main tetex package

* Thu Aug 31 2006 Aurelien Bompard <abompard@fedoraproject.org> 0-6.20041017
- rebuild

* Wed Feb 22 2006 Aurelien Bompard <gauret[AT]free.fr> 0-5.20041017
- rebuild for FC5

* Sun May 15 2005 Aurelien Bompard <gauret[AT]free.fr> 0-4.20041017%{?dist}
- new version

* Fri Apr  7 2005 Michael Schwendt <mschwendt[AT]users.sf.net>
- rebuilt

* Mon Jun 07 2004 Aurelien Bompard <gauret[AT]free.fr> 0:0-0.fdr.2.20040307
- apply suggestion from QA, see bug 1691:
  - fix scriptlets and scriptlets requirements
  - move contrib to a useful place
  - add ucs.ps.gz and languages.ps.gz to the doc

* Mon May 31 2004 Aurelien Bompard <gauret[AT]free.fr> 0:0-0.fdr.1.20040307
- Initial RPM release.
